post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method is used to delete the custom report of a respective account. Once deleted, it will not be applied to future accounts even if previously marked.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account name from which the report will be deleted | Yes | string |
| reportname | Name(s) of the custom report to be deleted | Yes | string |
| organization | Organization under which the account exists | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Report.delete(
accountid="Demo Account",
reportname="report 1",
organization="Demo Org"
)
print(response)
client.close()Requires Python 3.9 or later.